Bug 55274 - Nvidia driver compile against 2.4.9-7 kernel
Summary: Nvidia driver compile against 2.4.9-7 kernel
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-29 01:59 UTC by Need Real Name
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-21 15:37:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-10-29 01:59:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
I cannot compile the Nvidia 1.0-1541 driver against the newly released
2.4.9-7 kernel, I get unresolved symbol errors. GLX compiles just fine. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.untar the NVidia kernel and GLX files	
2.cd NVidia_kernel directory
3.run make
	

Actual Results:  Driver started to compile, then came the unresolved symbol
errors, and exited with error 255.

Expected Results:  The driver should have built.

Additional info:

I am running a AMD T-bird 1200 on a Abit KT7A-raid mb, using a GeForce 2MX
chipset, 32 mb. I got the kernel 2.4.9-7 from the Redhat Network,
downloaded with the up2date application.

Comment 1 Arjan van de Ven 2001-10-29 08:57:14 UTC
1) This is a bug that should be sent to nvidia as it's their proprietary driver
   that doesn't work
2) can you check /boot/kernel.h to see if that says "i686" somewhere? If it does
   please change it to athlon and rebuild the nvidia driver....


Note You need to log in before you can comment on or make changes to this bug.